Autore Topic: android 2  (Letto 813 volte)

Offline giuseppe500

  • Utente junior
  • **
  • Post: 110
  • Respect: 0
    • Mostra profilo
android 2
« il: 24 Febbraio 2014, 04:40:12 CET »
0
ciao.
Devo sviluppare una applicazione che giri a partire dal sistema operativo android 2.1, come posso fare a configurare eclipse e l'emulatore in eclipse adv per il 2.1?
grazie.

Offline bradipao

  • Moderatore globale
  • Utente storico
  • *****
  • Post: 4043
  • keep it simple
  • Respect: +567
    • Github
    • Google+
    • bradipao
    • Mostra profilo
  • Dispositivo Android:
    Nexus 5
  • Play Store ID:
    Bradipao
  • Sistema operativo:
    W7
Re:android 2
« Risposta #1 il: 24 Febbraio 2014, 08:43:54 CET »
0
Il parametro che devi settare è il MINSDK, da impostare all'API level corrispondente a android 2.1
NON rispondo a domande nei messaggi privati
Bradipao @ Play Store

Offline giuseppe500

  • Utente junior
  • **
  • Post: 110
  • Respect: 0
    • Mostra profilo
Re:android 2
« Risposta #2 il: 24 Febbraio 2014, 12:17:23 CET »
0
ma quello che volevo sapere è :
cambiano molte cose a livello di programmazione(API) o cambia solo il sistema operativo?
grazie mille bradipao per adesso.

poi, in che file devo impostare quella direttiva?
« Ultima modifica: 24 Febbraio 2014, 12:42:06 CET da giuseppe500 »

Offline GabMarioPower

  • Moderatore globale
  • Utente senior
  • *****
  • Post: 606
  • Respect: +152
    • Github
    • Google+
    • gabrielemariotti
    • GabMarioPower
    • Mostra profilo
  • Play Store ID:
    GAB+MARIO+DEV
  • Sistema operativo:
    Ubuntu 14.04 , Win 10
Re:android 2
« Risposta #3 il: 24 Febbraio 2014, 12:46:25 CET »
0
ma quello che volevo sapere è :
cambiano molte cose a livello di programmazione(API) o cambia solo il sistema operativo?
grazie mille bradipao per adesso.

Devi gestire diverse cose.
Alcune API sono disponibili solo per API 11 o API 14 (le più importanti sono la ActionBar  e le animazioni).


Offline bradipao

  • Moderatore globale
  • Utente storico
  • *****
  • Post: 4043
  • keep it simple
  • Respect: +567
    • Github
    • Google+
    • bradipao
    • Mostra profilo
  • Dispositivo Android:
    Nexus 5
  • Play Store ID:
    Bradipao
  • Sistema operativo:
    W7
Re:android 2
« Risposta #4 il: 24 Febbraio 2014, 13:42:03 CET »
0
ma quello che volevo sapere è :
cambiano molte cose a livello di programmazione(API) o cambia solo il sistema operativo?

Guarda, attualmente le applicazioni vengono sviluppate impostando come MINSDK android 2.3x (API 10) o android 4.x (API 14), perchè sono i due punti di riferimento principali.

Il fatto che tu debba sviluppare per 2.1 è abbastanza inusuale per il play store (dove sotto al 2.3x non c'è praticamente niente), ma forse hai qualche imposizione esterna.

Se puoi e se non hai vincoli di diffusione sullo store, usa API 14 come minsdk, perchè ti semplifica diverse cose.
NON rispondo a domande nei messaggi privati
Bradipao @ Play Store